import { BigNumberish } from 'ethers';
import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { IMulticallWrapper } from '../../../multicall';
import { GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { ConcentratorContractFactory, AladdinConcentratorAfrxEthVault } from '../contracts';
export declare class EthereumConcentratorAfrxethVaultContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<AladdinConcentratorAfrxEthVault> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: ConcentratorContractFactory;
    groupLabel: string;
    chefAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: ConcentratorContractFactory);
    getContract(address: string): AladdinConcentratorAfrxEthVault;
    getPoolLength(contract: AladdinConcentratorAfrxEthVault): Promise<BigNumberish>;
    getStakedTokenAddress(contract: AladdinConcentratorAfrxEthVault, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: AladdinConcentratorAfrxEthVault, _poolIndex: number, multicall: IMulticallWrapper): Promise<string>;
    getTotalAllocPoints(): Promise<number>;
    getTotalRewardRate(): Promise<number>;
    getPoolAllocPoints(): Promise<number>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<AladdinConcentratorAfrxEthVault>): Promise<import("ethers").BigNumber>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<AladdinConcentratorAfrxEthVault>): Promise<import("ethers").BigNumber>;
}
